using System;

namespace madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            string s;
            s = Console.ReadLine();
            string[] str = s.Split();
            int n = int.Parse(str[0]);
            int k = int.Parse(str[1]);
            int[] a = new int[n];
            s = Console.ReadLine();
            for (int i = 0; i < n; i++)
            {
               
                str = s.Split();
                int b = int.Parse(str[i]);
                a[i] = b;
            }
            int r=0;
            if(n==2)
            {
                for (int i = 0; i < n; i++)
                {
                    if (a[i] != k) { r = a[i]; }

                }
            }
            else
            {
                if (k == a[n - 1]) { r = a[0]; }
                else
                {
                    for (int i = 0; i < n-1; i++)
                    {
                        if (k == a[i]) { r = a[i + 1]; }
                    }
                }
            }
            Console.WriteLine(r);
        
        }
    }
}